package com.tzld.longarticle.recommend.server.mapper.aigc;

import com.tzld.longarticle.recommend.server.model.dto.CrawlerContent;
import com.tzld.longarticle.recommend.server.model.dto.ProduceContentDTO;
import com.tzld.longarticle.recommend.server.model.dto.ProducePlanAuditCheckDTO;
import com.tzld.longarticle.recommend.server.model.entity.aigc.CrawlerPlan;
import com.tzld.longarticle.recommend.server.model.entity.aigc.CrawlerPlanResultRel;
import com.tzld.longarticle.recommend.server.model.entity.aigc.ProducePlanExeRecord;
import com.tzld.longarticle.recommend.server.model.entity.aigc.ProduceTaskAtom;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AigcBaseMapper {

    List<CrawlerPlanResultRel> getCrawlerPlanRelByChannelContentIds(List<String> channelContentIds);

    List<CrawlerPlan> getCrawlerPlanByPlanIds(List<String> planIds);

    CrawlerContent getCrawlerContentByChannelContentId(String channelContentId);

    List<CrawlerContent> getCrawlerContentByChannelContentIdIn(List<String> channelContentIds);

    List<ProduceContentDTO> getProduceContentByPlanId(String planId);

    List<ProducePlanExeRecord> getAllByProducePlanId(List<String> producePlanIds);

    List<CrawlerPlan> getColdCrawlerPlan(Long timeStart, Long timeEnd, List<String> planTags);

    List<ProducePlanAuditCheckDTO> getProducePlanAudit(Long timeStart, Long timeEnd, List<String> planIds);

    List<ProducePlanAuditCheckDTO> getProducePlanProduce(Long timeStart, Long timeEnd, List<String> planIds);

    List<ProduceTaskAtom> getProduceScoreGreaterThan(Long startTimeStamp, Long endTimeStamp);

    List<ProduceTaskAtom> getProduceScoreByContentId(List<String> planExeIds);
}
